<div>
    <!-- <div class="ui-g-12">
        <h2>
            <span jhiTranslate="mpmApp.tandaTerima.home.title">Tanda Terima</span>
            <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
                [routerLink]="['/tanda-terima-new']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down" jhiTranslate="mpmApp.tandaTerima.home.createLabel">
                    Create new Tanda Terima
                </span>
            </button>
        </h2>
    </div> -->
    <div class="ui-g-12">
        <h2>
            <span>Tanda Terima Surat</span>
            <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
                [routerLink]="['/tanda-terima-new-surat']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Tanda Terima Surat
                </span>
            </button>
        </h2>
    </div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.tandaTerima.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="tandaTerimas" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idreceipt" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
            <p-header>
            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Tanda Terima">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.receiptno}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtreceipt | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createby}}
                </ng-template>
            </p-column>
            <p-column header="Pengirim">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nmsupplier}}
                </ng-template>
            </p-column>
            <p-column header="Penerima">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.receiver}}
                </ng-template>
            </p-column>
            <p-column header="Jenis">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.doctype}}
                </ng-template>
            </p-column>
            <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.jenis === 'surat'">
                        <button pButton type="button"
                            [routerLink]="['../tanda-terima-edit-surat/' + rowData.idreceipt + '/true']" icon="fa-eye"
                            class="flat-button" pTooltip="Lihat Tanda Terima">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../tanda-terima-edit-surat/' + rowData.idreceipt + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Tanda Terima">
                        </button>
                    </div>
                    <!-- <div *ngIf="rowData.jenis !== 'surat'">
                        <button pButton type="button" icon="fa-print" class="flat-button" (click)="printTT(rowData)"
                            pTooltip="Print Tanda Terima">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../tanda-terima-edit/' + rowData.idreceipt + '/true']" icon="fa-eye"
                            class="flat-button" pTooltip="Lihat Tanda Terima">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../tanda-terima-edit/' + rowData.idreceipt + '/false']" icon="fa-pencil"
                            class="flat-button" pTooltip="Edit Tanda Terima">
                        </button>
                    </div> -->
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
</div>